
import json


def compute_categories_id(data_name, world):
    #Category = 'banana1'
    #Category = 'pear2'
    #Category = "orange2"
    # Opening JSON file
    f = open(f'{data_name}/Meta/{world}.json')
    
    # returns JSON object as 
    # a dictionary
    data = json.load(f)
    
    # Iterating through the json
    # list

    catergories_label_to_id={}
    catergories_id_to_label={}
    catergories_instance_array_cat_to_id={}
    catergories_instance_array_id_to_cat={}

    for k in data['categories']:
        catergories_label_to_id[k['label']]=k['id']
        catergories_id_to_label[k['id']]=k['label']
        catergories_instance_array_cat_to_id[k['label']]=[]

    for k in data['objects']:
        #print(k)
        #catergories_instance_array[catergories_id_to_label[i['category_id']]]
        catergories_instance_array_id_to_cat[k['id']] = catergories_id_to_label[k['category_id']]
        catergories_instance_array_cat_to_id[catergories_id_to_label[k['category_id']]].append(k['id'])
        # if i['category_id'] == id_category :
        #     print("Hello fruits instance")
        #     id_instances.append(i['id'])
        #     print(i['id']) 

    # Closing file
    f.close()

    return catergories_instance_array_id_to_cat, catergories_instance_array_cat_to_id, catergories_label_to_id



def compute_id_good_occ(data_name, count, catergories_instance_array_id_to_cat, catergories_instance_array_cat_to_id, Occ_wanted):

    f2 = open(f'{data_name}/Occlusion/{count}.json')

    data2 = json.load(f2)
    catergories_occ_array = {}

    for cat in catergories_instance_array_cat_to_id :
        #print(cat)
        catergories_occ_array[cat] = []

    for i in data2:
        if i['occlusion_value'] >= Occ_wanted :
            catergories_occ_array[catergories_instance_array_id_to_cat[i['id']]].append(i['id'])

    # Closing file
    f2.close()

    return catergories_occ_array